Bug 177522 - Kernel panic while running NFS ACL test
Kernel panic while running NFS ACL test
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
: 177462 (view as bug list)
Depends On:
Blocks: 168430
  Show dependency treegraph
 
Reported: 2006-01-11 09:31 EST by Jeff Burke
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 16:11:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Burke 2006-01-11 09:31:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
RIP <ffffffffa0207900>{:sunrpc:xdr_partial_copy_from_skb+141} RSP <ffffffff8044ca98>
CR2: 0000000000000003
 <0>Kernel panic - not syncing: Oops


Version-Release number of selected component (if applicable):
kernel-2.6.9-27.ELsmp

How reproducible:
Always

Steps to Reproduce:
1.Using a test machine from steved pro1.lab.boston.redhat.com
2.Then using the January release of ltp. One of the non-standard testcases NFSv4/acl test.
3.It passes the first time. the second time it will panic the client where the test is running from.
  

Actual Results:  Unable to handle kernel NULL pointer dereference at 0000000000000003 RIP:
<ffffffffa0207900>{:sunrpc:xdr_partial_copy_from_skb+141}
PML4 6b221067 PGD 79c6e067 PMD 0
Oops: 0000 [1] SMP
CPU 0
Modules linked in: nfs lockd nfs_acl parport_pc lp parport autofs4 i2c_dev i2c_core sunrpc iptable_filter ip_tables dm_multipath button battery ac md5 ipv6 usb_storage uhci_hcd ehci_hcd snd_azx snd_hda_codec snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc tg3 floppy dm_snapshot dm_zero dm_mirror ext3 jbd dm_mod ata_piix libata mptscsih mptsas mptspi mptfc mptscsi mptbase sd_mod scsi_mod
Pid: 0, comm: swapper Not tainted 2.6.9-27.ELsmp
RIP: 0010:[<ffffffffa0207900>] <ffffffffa0207900>{:sunrpc:xdr_partial_copy_from_skb+141}
RSP: 0018:ffffffff8044ca98  EFLAGS: 00010246
RAX: 0000000000000000 RBX: 0000000000001000 RCX: 0000000000000000
RDX: 00000000000000fc RSI: 000001007b877158 RDI: 000001007adb25e8
RBP: 0000000000000000 R08: 000001007061c0a0 R09: 000000000000fa57
R10: 000000000000fa57 R11: 0000000000000128 R12: 0000000000007000
R13: 000001007061c0a0 R14: ffffffff8044caf8 R15: 000001007afd5c18
FS:  0000000000000000(0000) GS:ffffffff804d7900(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000000003 CR3: 0000000000101000 CR4: 00000000000006e0
Process swapper (pid: 0, threadinfo ffffffff804da000, task ffffffff803cca00)
Stack: ffffffffa01fe4b8 000001007f4c0400 0000000000000120 ffffffff8044caf8
       000001007061c000 0000000000000128 0000000000000000 ffffffffa01fe84f
       ffffffff8044cb58 000f00017067de70
Call Trace:<IRQ> <ffffffffa01fe4b8>{:sunrpc:tcp_copy_data+0} <ffffffffa01fe84f>{:sunrpc:tcp_data_recv+782}
       <ffffffff80161055>{cache_flusharray+107} <ffffffff802cc980>{tcp_read_sock+275}
       <ffffffffa01fe541>{:sunrpc:tcp_data_recv+0} <ffffffffa01fe9c4>{:sunrpc:tcp_data_ready+110}
       <ffffffff802d8c81>{tcp_send_delayed_ack+176} <ffffffff802d49b0>{tcp_rcv_established+1322}
       <ffffffff802dd071>{tcp_v4_do_rcv+49} <ffffffff802dd9c9>{tcp_v4_rcv+1701}
       <ffffffff802c3a0c>{ip_local_deliver_finish+248} <ffffffff802c3914>{ip_local_deliver_finish+0}
       <ffffffff802b4125>{nf_hook_slow+184} <ffffffff802c3d05>{ip_local_deliver+547}
       <ffffffff802c4348>{ip_rcv+1002} <ffffffff802ab591>{netif_receive_skb+590}
       <ffffffffa00dbb82>{:tg3:tg3_poll+1802} <ffffffff802ab757>{net_rx_action+129}
       <ffffffff8013be28>{__do_softirq+88} <ffffffff8013bed1>{do_softirq+49}
       <ffffffff801130eb>{do_IRQ+328} <ffffffff8011078f>{ret_from_intr+0}
        <EOI> <ffffffff8010e84c>{mwait_idle+86} <ffffffff8010e7dc>{cpu_idle+26}
       <ffffffff804dd67b>{start_kernel+470} <ffffffff804dd1d5>{_sinittext+469}


Code: 48 0f b6 50 03 48 8b 0c d5 a0 09 48 80 48 ba b7 6d db b6 6d
RIP <ffffffffa0207900>{:sunrpc:xdr_partial_copy_from_skb+141} RSP <ffffffff8044ca98>
CR2: 0000000000000003
 <0>Kernel panic - not syncing: Oops


Expected Results:  The test should no panic the system

Additional info:

I have the configuration setup nesseacry to reproduce. It is a vailable if needed.
Note: this sis the first time I have ran this test secenario. The are new in LTP January release.
Comment 1 Jeff Needle 2006-01-11 10:44:40 EST
*** Bug 177462 has been marked as a duplicate of this bug. ***
Comment 7 Red Hat Bugzilla 2006-03-07 16:11:46 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.